/* 
 * Copyright (C) 2003 Twink,  spm7@waikato.ac.nz
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#pragma once

#include "../client/Util.h"

class PreviewDlg {
public:
	PreviewDlg() : argument(_T("%[file]")), m_hWnd(NULL) { }

	tstring name;
	tstring application;
	tstring argument;
	tstring extensions;

    static INT_PTR CALLBACK PreviewDlgProc(HWND hWndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
    LRESULT PreviewProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);

	INT_PTR DoModal(HWND hWndParent);

    HWND m_hWnd;
private:
	void onFocus();
	void OnInitDialog();
	void OnBrowse();
	void OnCloseCmd(WORD wID);
};

/*
 * Some parts Copyright (C) 2002-2009 Petr Kozelka, PPK at czdc dot org
 * Licensed under GNU General Public License version 3.
 */
